Subject: Re: bug#75626: 31.0.50; Dired misses or double-processes files when auto-revert-mode is enabled

From: Michael Heerdegen <[email-masked]>
Date: Fri, 24 Jan 2025 01:59:47 +0100

I <[email-masked]> wrote:

> So i would rather consider to rename the variable
> `buffer-stale-function' for the discoverability - or just leave things
> as they are.

We could also rename the variable and pretend it is normally boolean -
but a function value is possible in addition and has a special meaning.
A not uncommon solution.  Maybe this is what you had in mind?

There are caveats, though:

- People could be tempted to set `inhibit-auto-revert' to t and later
  to nil, erasing the former non-nil function value by accident.

- People could try to inhibit auto revert globally (which would not be
  possible once buffer local bindings exits), or may overlook the fact
  that binding this variable may affect a global or a local binding.

I think this is something to consider: catchy names increase the risk
that such details are overlooked.

Michael.